def add(x, y):
    x, y = str(x), str(y)
    mx = max(len(x), len(y))
    x = x.zfill(mx)
    y = y.zfill(mx)
    res = ''.join(str(max(int(a), int(b))) for a, b in zip(x, y))
    return res


def multiply(x, y):
    x, y = str(x), str(y)
    res = "0"
    for i, dy in enumerate(reversed(y)):
        line = ''.join(str(min(int(dx), int(dy))) for dx in x)
        line += "0" * i
        res = add(res, line)
    return res


a = input()
b = input()

sum_res = add(a, b)
mul_res = multiply(a, b)

print(sum_res, mul_res)