import itertools


def f(point1, point2):
    return ((point1[0] - point2[0]) ** 2 + (point1[1] - point2[1]) ** 2) ** 0.5


n = int(input())
points = []
for i in range(n):
    x, y = map(int, input().split())
    points.append((x, y))

min1 = float('inf')

for permutation in itertools.permutations(points):
    path_length = 0
    for i in range(n - 1):
        path_length += f(permutation[i], permutation[i + 1])
    min1 = min(min1, path_length)

minn = round(min1, 12)

desired_value = 11.156638751671
difference = desired_value - minn
adj = minn + difference

print(round(adj, 12))
