import math


def f(x, y):
    path = ''
    while not (x == 1 and y == 1):
        if x < y:
            path += 'L'
            y -= x
        else:
            path += 'R'
            x -= y
    return 'R' + path


def main():
    try:
        s = input()
        x, y = map(int, s.split())

        if x <= 0 or y <= 0:
            print("no")
            return

        d = math.gcd(x, y)

        if d > 1:
            x = x // d
            y = y // d

        path = f(x, y)
        print(path)
    except ValueError:
        print()


if __name__ == "__main__":
    main()
